---
type: api
title: Get conversations
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-findconversations
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-findconversations
products:
  - Kibana
---

# Get conversations

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/security_ai_assistant/current_user/conversations/_find`
- `GET` `/s/{space_id}/api/security_ai_assistant/current_user/conversations/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of all conversations for the current user. This endpoint allows users to search, filter, sort, and paginate through their conversations.

## Query String Parameters

- `fields` ([] string)
  A list of fields to include in the response. If omitted, all fields are returned.
- `filter` (string)
  A search query to filter the conversations. Can match against titles, messages, or other conversation attributes.
- `sort_field` (enum)
  The field by which to sort the results. Valid fields are `created_at`, `title`, and `updated_at`.
  Values: `created_at`, `title`, `updated_at`
- `sort_order` (enum)
  The order in which to sort the results. Can be either `asc` for ascending or `desc` for descending.
  Values: `asc`, `desc`
- `page` (integer · min: 1 · default: 1)
  The page number of the results to retrieve. Default is 1.
- `per_page` (integer · min: 0 · default: 20)
  The number of conversations to return per page. Default is 20.

## Responses

#### `200`

Successful response, returns a paginated list of conversations matching the specified criteria.

`application/json`

- `data` ([] object)
  A list of conversations.
  - `apiConfig` ({})
    - `actionTypeId` (string)
      Action type ID
    - `connectorId` (string)
      Connector ID
    - `defaultSystemPromptId` (string)
      Default system prompt ID
    - `model` (string)
      Model
    - `provider` (enum)
      Provider
      Values: `OpenAI`, `Azure OpenAI`, `Other`
  - `category` (enum)
    The conversation category.
    Values: `assistant`, `insights`
  - `createdAt` (string)
    The time conversation was created.
  - `excludeFromLastConversationStorage` (boolean)
    Exclude from last conversation storage.
  - `id` (string · min: 1)
    A string that does not contain only whitespace characters.
  - `messages` ([] object)
    The conversation messages.
    - `content` (string)
      Message content.
    - `isError` (boolean)
      Is error message.
    - `metadata` ({})
      Message metadata
      - `contentReferences` (object)
        A union of all content reference types
    - `reader` (object)
    - `refusal` (string)
      Refusal reason returned by the model when content is filtered.
    - `role` (enum)
      Message role.
      Values: `system`, `user`, `assistant`
    - `timestamp` (string · min: 1)
      A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
    - `traceData` ({})
      Trace Data
      - `traceId` (string)
        Could be any string, not necessarily a UUID
      - `transactionId` (string)
        Could be any string, not necessarily a UUID
  - `namespace` (string)
    Kibana space
  - `replacements` (object)
    Replacements object used to anonymize/deanonymize messages
  - `summary` ({})
    - `confidence` (enum)
      The conversation confidence.
      Values: `low`, `medium`, `high`
    - `content` (string)
      Summary text of the conversation over time.
    - `public` (boolean)
      Define if summary is marked as publicly available.
    - `timestamp` (string · min: 1)
      A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
  - `timestamp` (string · min: 1)
    A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
  - `title` (string)
    The conversation title.
  - `updatedAt` (string)
    The last time conversation was updated.
  - `users` ([] object)
    - `id` (string)
      User id.
    - `name` (string)
      User name.
- `page` (integer)
  The current page of the results.
- `perPage` (integer)
  The number of results returned per page.
- `total` (integer)
  The total number of conversations matching the filter criteria.
#### `400`

Generic Error. The request could not be processed due to an invalid query parameter or other issue.

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/security_ai_assistant/current_user/conversations/_find
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/security_ai_assistant/current_user/conversations/_find"
```

